Subject: Re: git.git as of tonight

From: Johannes Sixt <[email-masked]>
Date: Tue, 3 Nov 2015 07:34:47 +0100

Am 03.11.2015 um 00:06 schrieb Stefan Beller:
> On Mon, Nov 2, 2015 at 1:15 PM, Johannes Sixt <[email-masked]> wrote:
>> run-command.c: In function 'set_nonblocking':
>> run-command.c:1011: error: 'F_GETFL' undeclared (first use in this function)
>> run-command.c:1011: error: (Each undeclared identifier is reported only once
>> run-command.c:1011: error: for each function it appears in.)
>> run-command.c:1015: error: 'F_SETFL' undeclared (first use in this function)
>> run-command.c:1015: error: 'O_NONBLOCK' undeclared (first use in this function)
>> make: *** [run-command.o] Error 1
>
> Going by a quick search http://stackoverflow.com/a/22756664
> I'd hope we only need to modify the set_nonblocking function using #ifdefs ?

Unfortunately, the solutions outlined in that post do not work for us. 
On Windows, the FIONBIO option is only available for sockets. 
"Overlapped IO" can be used only when the file descriptor is set in this 
mode right from the beginning (by open/CreateFile), and if it were so, 
it would have to be used in a totally different way than in Posix code.

My findings so far are negative. The only short-term and mid-term 
solution I see so far is to opt-out from the framework during build-time.

-- Hannes